function love.load()
	tileimages = {
	    love.graphics.newImage("gfx/forest.png"),  --Wall tile
	    love.graphics.newImage("gfx/desert.png"),  --Floor tile
	    love.graphics.newImage("gfx/plains.png"),  --Window tile
	    love.graphics.newImage("gfx/town.png"),  --Column tile
	}
	tilesize = 64
	map = {
	   {1,1,3,1,1,1,3,1,1},
	   {1,2,2,2,2,2,2,2,1},
	   {1,2,2,2,2,2,2,2,1},
	   {1,2,2,4,2,4,2,2,1},
	   {3,2,2,2,2,2,2,2,3},
	   {1,2,2,4,2,4,2,2,1},
	   {1,2,2,2,2,2,2,2,1},
	   {1,2,2,2,2,2,2,2,1},
	   {1,1,3,1,1,1,3,1,1},
	}
end

function love.draw()
   for y, tile in ipairs(map) do
      for x, row in ipairs (tile) do
         love.graphics.draw(tileimages[row], x*tilesize - tilesize, y*tilesize - tilesize)
      end
   end
end